
from adsotatepage import AdsotatePage
import urllib

class Adso:

#    ADSO_BASE_URL = 'http://www.adsotrans.com/new/traditional.pl'
    ADSO_BASE_URL = 'http://www.adsotate.com/cgi-old/advanced.pl'

    def __init__( self, 
                  conjugation='on', 
                  grammar='on', 
                  encoding = 'UTF-8S',
                  encoding_out = 'UTF-8S',
                  numeric_pinyin='off',
                  quality='high' ):
        self.conjugation = conjugation
        self.grammar = grammar
        self.encoding = encoding
        self.encoding_out = encoding_out
        self.numeric_pinyin = numeric_pinyin
        self.quality = quality

    def adsotate( self, text ):
        url = self.getURL( 'adsotate', text )
        page = AdsotatePage()
        return page.process( url )

    def getURL( self, service, text ):
        quotedText = urllib.quote( text )
        return '%s?service=%s&conjugation=%s&grammar=%s&encoding=%s&encoding_out=%s&numeric_pinyin=%s&quality=%s&url=%s ' % (self.ADSO_BASE_URL, service, self.conjugation, self.grammar, self.encoding, self.encoding_out, self.numeric_pinyin, self.quality, quotedText ) 
